public inbox for initramfs@vger.kernel.org
 help / color / mirror / Atom feed
From: Thomas Renninger <trenn-l3A5Bk7waGM@public.gmane.org>
To: harald-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org
Cc: initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org,
	Andrei Borzenkov
	<arvidjaar-Re5JQEeQqe8AvxtiuMwx3w@public.gmane.org>,
	Thomas Renninger <trenn-l3A5Bk7waGM@public.gmane.org>
Subject: [PATCH 7/8] ensure pre-mount (and resume) run before root fsck
Date: Fri, 26 Jun 2015 16:55:56 +0200	[thread overview]
Message-ID: <1435330557-17685-8-git-send-email-trenn@suse.de> (raw)
In-Reply-To: <1435330557-17685-1-git-send-email-trenn-l3A5Bk7waGM@public.gmane.org>

From: Andrei Borzenkov <arvidjaar-Re5JQEeQqe8AvxtiuMwx3w@public.gmane.org>

References:
https://bugzilla.suse.com/show_bug.cgi?id=906592
Signed-off-by: Thomas Renninger <trenn-l3A5Bk7waGM@public.gmane.org>
---
 modules.d/98dracut-systemd/rootfs-generator.sh | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/modules.d/98dracut-systemd/rootfs-generator.sh b/modules.d/98dracut-systemd/rootfs-generator.sh
index 5910ce7..7eb0b1a 100755
--- a/modules.d/98dracut-systemd/rootfs-generator.sh
+++ b/modules.d/98dracut-systemd/rootfs-generator.sh
@@ -65,6 +65,23 @@ generator_mount_rootfs()
     fi
 }
 
+generator_fsck_after_pre_mount()
+{
+    local _name
+
+    [ -z "$1" ] && return 0
+
+    _name=$(dev_unit_name "$1")
+    [ -d /run/systemd/generator/systemd-fsck@${_name}.service.d ] || mkdir -p /run/systemd/generator/systemd-fsck@${_name}.service.d
+    if ! [ -f /run/systemd/generator/systemd-fsck@${_name}.service.d/after-pre-mount.conf ]; then
+        {
+            echo "[Unit]"
+            echo "After=dracut-pre-mount.service"
+        } > /run/systemd/generator/systemd-fsck@${_name}.service.d/after-pre-mount.conf
+    fi
+
+}
+
 root=$(getarg root=)
 case "$root" in
     block:LABEL=*|LABEL=*)
@@ -95,6 +112,7 @@ GENERATOR_DIR="$1"
 
 if [ "${root%%:*}" = "block" ]; then
    generator_wait_for_dev "${root#block:}" "$RDRETRY"
+   generator_fsck_after_pre_mount "${root#block:}"
    strstr "$(cat /proc/cmdline)" 'root=' || generator_mount_rootfs "${root#block:}" "$(getarg rootfstype=)" "$(getarg rootflags=)"
 fi
 
-- 
2.1.4

  parent reply	other threads:[~2015-06-26 14:55 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-06-26 14:55 Several SUSE bugfixes Thomas Renninger
     [not found] ` <1435330557-17685-1-git-send-email-trenn-l3A5Bk7waGM@public.gmane.org>
2015-06-26 14:55   ` [PATCH 1/8] /etc/multipath.conf is not mandatory Thomas Renninger
     [not found]     ` <1435330557-17685-2-git-send-email-trenn-l3A5Bk7waGM@public.gmane.org>
2015-07-01  8:56       ` Harald Hoyer
2015-06-26 14:55   ` [PATCH 2/8] Fix nfs parsing when IPv4 address is used in /etc/fstab Thomas Renninger
2015-06-26 14:55   ` [PATCH 3/8] Reset IFS variable Thomas Renninger
2015-06-26 14:55   ` [PATCH 4/8] mkinitrd-suse.sh: Bail out with exit 1 if initrd cannot be generated Thomas Renninger
2015-06-26 14:55   ` [PATCH 5/8] Use the uncompressed kernel file on arm and aarch to detect kernel version Thomas Renninger
2015-06-26 14:55   ` [PATCH 6/8] Install /etc/sysconfig/console to see specific fonts Thomas Renninger
     [not found]     ` <1435330557-17685-7-git-send-email-trenn-l3A5Bk7waGM@public.gmane.org>
2015-06-27  5:29       ` Andrei Borzenkov
2015-06-26 14:55   ` Thomas Renninger [this message]
     [not found]     ` <1435330557-17685-8-git-send-email-trenn-l3A5Bk7waGM@public.gmane.org>
2015-06-29 23:49       ` [PATCH 7/8] ensure pre-mount (and resume) run before root fsck Alexander Tsoy
     [not found]         ` <20150630024933.3c41d601-gl4+DzqHFJJb4Dhfy2/fiQ@public.gmane.org>
2015-07-01 15:47           ` Harald Hoyer
2015-06-26 14:55   ` [PATCH 8/8] Use udev rules to create dmraid /dev/mapper/ devices Thomas Renninger
     [not found]     ` <1435330557-17685-9-git-send-email-trenn-l3A5Bk7waGM@public.gmane.org>
2015-06-27  5:41       ` Andrei Borzenkov
     [not found]         ` <20150627084153.1936a074-stAJ6ESoqRzYCGPCin2YbQ@public.gmane.org>
2015-06-29 11:17           ` Thomas Renninger
2015-06-29 17:36       ` [PATCH] " Thomas Renninger
     [not found]         ` <1435599415-10187-1-git-send-email-trenn-l3A5Bk7waGM@public.gmane.org>
2015-06-29 18:02           ` Dracut GitHub Import Bot
2015-07-07 11:41           ` Harald Hoyer
     [not found]             ` <559BBAF5.5000501-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org>
2015-07-07 11:54               ` Hannes Reinecke
     [not found]                 ` <559BBE0F.1070903-IBi9RG/b67k@public.gmane.org>
2015-11-13 11:00                   ` Harald Hoyer
     [not found]                     ` <5645C2D6.2010702-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org>
2015-11-13 15:04                       ` Hannes Reinecke

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1435330557-17685-8-git-send-email-trenn@suse.de \
    --to=trenn-l3a5bk7wagm@public.gmane.org \
    --cc=arvidjaar-Re5JQEeQqe8AvxtiuMwx3w@public.gmane.org \
    --cc=harald-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org \
    --cc=initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox